cppcms::applications_pool::factory Struct Referenceabstract

a base class for user application factories More...

`#include <cppcms/applications_pool.h>`

Inheritance diagram for cppcms::applications_pool::factory:

## Public Member Functions

virtual std::auto_ptr < application > | operator() (service &) const =0

## Detailed Description

a base class for user application factories

## Member Function Documentation

virtual std::auto_ptr<application> cppcms::applications_pool::factory::operator() | ( | service & |  | ) | const

pure virtual

Returns newly created instance of an application.

The documentation for this struct was generated from the following file:

- cppcms/applications_pool.h